Bug 1473928 - SELinux is preventing gnome-settings- from 'setattr' accesses on the directory /usr/lib/fontconfig/cache.
SELinux is preventing gnome-settings- from 'setattr' accesses on the director...
Status: NEW
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:a8d482456ec8bbebb1a7f569ff0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-22 10:03 EDT by Paolo Bonzini
Modified: 2017-07-22 10:03 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paolo Bonzini 2017-07-22 10:03:40 EDT
Description of problem:
Comes up at startup.
SELinux is preventing gnome-settings- from 'setattr' accesses on the directory /usr/lib/fontconfig/cache.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that gnome-settings- should be allowed setattr access on the cache directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'gnome-settings-' --raw | audit2allow -M my-gnomesettings
# semodule -X 300 -i my-gnomesettings.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:lib_t:s0
Target Objects                /usr/lib/fontconfig/cache [ dir ]
Source                        gnome-settings-
Source Path                   gnome-settings-
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           fontconfig-2.12.1-4.fc26.x86_64
                              fontconfig-2.12.1-4.fc26.i686
Policy RPM                    selinux-policy-3.13.1-257.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.11.4-300.fc26.x86_64 #1 SMP Wed
                              Jun 7 18:07:41 UTC 2017 x86_64 x86_64
Alert Count                   15
First Seen                    2017-04-26 17:59:06 CEST
Last Seen                     2017-06-21 15:48:19 CEST
Local ID                      e2d16e5a-ac2e-4593-a8eb-157fbd63d022

Raw Audit Messages
type=AVC msg=audit(1498052899.295:1155): avc:  denied  { setattr } for  pid=1651 comm="gsd-xsettings" name="cache" dev="dm-1" ino=201823638 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lib_t:s0 tclass=dir permissive=1


Hash: gnome-settings-,xdm_t,lib_t,dir,setattr

Version-Release number of selected component:
selinux-policy-3.13.1-257.fc26.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.6-300.fc26.x86_64
type:           libreport

Note You need to log in before you can comment on or make changes to this bug.